/* --------------------------------------------------------------- */
/* Licensed Materials - Property of IBM                            */
/* 5724-S84                                                        */
/* (C) Copyright IBM Corp. 2007,2008, All Rights Reserved          */
/* US Government Users Restricted Rights - Use, duplication or     */
/* disclosure restricted by GSA ADP Schedule Contract with         */
/* IBM Corp.                                                       */
/* --------------------------------------------------------------- */
/* PROLOG END TAG zYx                                              */

#ifndef __ALF_HYBRID_H_INC__
#define __ALF_HYBRID_H_INC__

//********************************************************
// Constants & misc Macros
//********************************************************


//********************************************************
// Data Structures
//********************************************************

#pragma pack(4)

/**
 * struct alf_sys_config_t_Hybrid
 *
 * library_path: SPE executable shared library path.
 * num_of_ppes: Number of PPEs to reserve.
 * ppe_image_path: PPE executable program image path.
 * ppe_image_name: PPE executable program image name.
 * ppe_image_mode: PPE executable mode: either "remote" (default), or "file".
 */
typedef struct _alf_hybrid_sys_config {
  char *library_path;
  unsigned int num_of_ppes;
  char *ppe_image_path;
  char *ppe_image_name;
  char *ppe_image_mode;
} alf_sys_config_t_Hybrid;

#pragma pack()

#endif                          // __ALF_HYBRID_H_INC__
